Kea: isc::dhcp::HostReservationIdsParser4 Class Reference

| Kea 3.2.0-git

isc::dhcp::HostReservationIdsParser4 Class Reference

Parser for a list of host identifiers for DHCPv4. More...

`#include <host_reservation_parser.h>`

Inheritance diagram for isc::dhcp::HostReservationIdsParser4:
[legend]

## Public Member Functions
| HostReservationIdsParser4 (CfgHostOperationsPtr cfg)
| Constructor.
Public Member Functions inherited from isc::dhcp::HostReservationIdsParser
| HostReservationIdsParser (CfgHostOperationsPtr cfg)
| Constructor.
virtual | ~HostReservationIdsParser ()
| Destructor.
void | parse (isc::data::ConstElementPtr ids_list)
| Parses a list of host identifiers.
Public Member Functions inherited from isc::data::SimpleParser
uint16_t | getUint16 (isc::data::ConstElementPtr scope, const std::string &name)
| Returns a value converted to uint16_t.
uint32_t | getUint32 (isc::data::ConstElementPtr scope, const std::string &name)
| Returns a value converted to uint32_t.
uint8_t | getUint8 (ConstElementPtr scope, const std::string &name)
| Get an uint8_t value.
const isc::util::Triplet< uint32_t > | parseIntTriplet (const data::ConstElementPtr &scope, const std::string &name)
| Parses an integer triplet.

## Protected Member Functions
virtual bool | isSupportedIdentifier (const std::string &id_name) const
| Checks if specified identifier name is supported for DHCPv4.
Protected Member Functions inherited from isc::dhcp::HostReservationIdsParser
virtual void | parseInternal (isc::data::ConstElementPtr ids_list)
| Parses a list of host identifiers.
Protected Member Functions inherited from isc::data::SimpleParser
template<typename target_type, target_type convert>
target_type | getAndConvert (isc::data::ConstElementPtr scope, const std::string &name, const std::string &type_name)
| Returns a converted value from a scope.
template<typename int_type>
int_type | getIntType (isc::data::ConstElementPtr scope, const std::string &name)
| Returns an integer value with range checking from a scope.

## Additional Inherited Members
Static Public Member Functions inherited from isc::data::SimpleParser
static void | checkKeywords (const SimpleKeywords &keywords, isc::data::ConstElementPtr scope)
| Checks acceptable keywords with their expected type.
static void | checkRequired (const SimpleRequiredKeywords &required, isc::data::ConstElementPtr scope)
| Checks that all required keywords are present.
static size_t | deriveParams (isc::data::ConstElementPtr parent, isc::data::ElementPtr child, const ParamsList &params)
| Derives (inherits) parameters from parent scope to a child.
static isc::asiolink::IOAddress | getAddress (const ConstElementPtr &scope, const std::string &name)
| Returns a IOAddress parameter from a scope.
static bool | getBoolean (isc::data::ConstElementPtr scope, const std::string &name)
| Returns a boolean parameter from a scope.
static double | getDouble (const ConstElementPtr &scope, const std::string &name)
| Returns a floating point parameter from a scope.
static int64_t | getInteger (isc::data::ConstElementPtr scope, const std::string &name)
| Returns an integer parameter from a scope.
static int64_t | getInteger (isc::data::ConstElementPtr scope, const std::string &name, int64_t min, int64_t max)
| Returns an integer parameter from a scope and checks its range.
static const data::Element::Position & | getPosition (const std::string &name, const data::ConstElementPtr parent)
| Utility method that returns position of an element.
static std::string | getString (isc::data::ConstElementPtr scope, const std::string &name)
| Returns a string parameter from a scope.
template<typename T>
static void | rangeCheckedInteger (isc::data::ConstElementPtr scope, const std::string &name, T &output_value)
| Fetches a range-checked integer parameter from a scope.
static size_t | setDefaults (isc::data::ElementPtr scope, const SimpleDefaults &default_values)
| Sets the default values.
static size_t | setListDefaults (isc::data::ConstElementPtr list, const SimpleDefaults &default_values)
| Sets the default values for all entries in a list.
Protected Attributes inherited from isc::dhcp::HostReservationIdsParser
CfgHostOperationsPtr | staging_cfg_
| Pointer to the object holding configuration.

## Detailed Description

Parser for a list of host identifiers for DHCPv4.

Definition at line 204 of file host_reservation_parser.h.

## Constructor & Destructor Documentation

## ◆ HostReservationIdsParser4()

isc::dhcp::HostReservationIdsParser4::HostReservationIdsParser4 | ( | CfgHostOperationsPtr | cfg | ) |

Constructor.

Initializes staging configuration pointer to the one used for DHCPv4 configuration.

Parameters

  cfg | Pointer to the object holding configuration. The configuration provided will be updated by HostReservationIdsParser::parse with the list of host identifiers.

Definition at line 479 of file host_reservation_parser.cc.

References isc::dhcp::HostReservationIdsParser::HostReservationIdsParser().

Here is the call graph for this function:

## Member Function Documentation

## ◆ isSupportedIdentifier()

bool isc::dhcp::HostReservationIdsParser4::isSupportedIdentifier | ( | const std::string & | id_name | ) | const
| protectedvirtual

Checks if specified identifier name is supported for DHCPv4.

Parameters

  id_name | Identifier name.

Returns
  true if the specified identifier is supported, false otherwise.

Implements isc::dhcp::HostReservationIdsParser.

Definition at line 484 of file host_reservation_parser.cc.

The documentation for this class was generated from the following files:

- host_reservation_parser.h
- host_reservation_parser.cc